summaryrefslogtreecommitdiff
path: root/tests/chmod
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod')
-rwxr-xr-xtests/chmod/no-x2
-rwxr-xr-xtests/chmod/silent2
-rwxr-xr-xtests/chmod/thru-dangling2
3 files changed, 3 insertions, 3 deletions
diff --git a/tests/chmod/no-x b/tests/chmod/no-x
index f45c4466e..534eec133 100755
--- a/tests/chmod/no-x
+++ b/tests/chmod/no-x
@@ -44,7 +44,7 @@ cat <<EOF > exp
$prog: \`d/no-x': Permission denied
EOF
-compare out exp || fail=1
+compare exp out || fail=1
cd a
# This will fail with ``chmod: fts_read failed: Permission denied''
diff --git a/tests/chmod/silent b/tests/chmod/silent
index 1745299de..e79c58f55 100755
--- a/tests/chmod/silent
+++ b/tests/chmod/silent
@@ -24,6 +24,6 @@ chgrp -f 0 no-such 2>> out && fail=1
chown -f 0:0 no-such 2>> out && fail=1
touch exp || fail=1
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/chmod/thru-dangling b/tests/chmod/thru-dangling
index 38187d002..d61b6bde5 100755
--- a/tests/chmod/thru-dangling
+++ b/tests/chmod/thru-dangling
@@ -26,6 +26,6 @@ ln -s non-existent dangle || framework_failure_
chmod 644 dangle 2> out && fail=1
echo "chmod: cannot operate on dangling symlink \`dangle'" > exp
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail